# $Revision: 1.51.2.2 $, $Date: 2003/12/27 23:39:23 $
Summary:	OpenSP - SGML parser
Summary(pl):	OpenSP - parser SGML
%define	arname	OpenSP
Name:		opensp
Version:	1.5.1
Release:	2
Epoch:		2
License:	Free (Copyright (C) 1999 The OpenJade group)
Group:		Applications/Publishing/SGML
Source0:	http://dl.sourceforge.net/openjade/OpenSP-%{version}.tar.gz
# Source0-md5:	f46fe0a04b76a4454ec27b7fcc84ec54
Patch0:		%{name}-nolibnsl.patch
Patch1:		%{name}-localedir.patch
URL:		http://openjade.sourceforge.net/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-devel
BuildRequires:	libtool >= 2:1.4d
Requires:	sgml-common >= 0.5-1
Provides:	sgmlparser
Provides:	sp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	openjade <= 1.3-1
Obsoletes:	sp

%define		sgmldir		/usr/share/sgml
%define		_datadir	%{sgmldir}

%description
Package contains an SGML parser.

%description -l pl
pakiet zawiera parser SGML.

%package devel
Summary:	OpenSP header files
Summary(pl):	Pliki nagwkowe OpenSP
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}

%description devel
OpenSP header files and devel documentation.

%description devel -l pl
Pliki nagwkowe OpenSP.

%package static
Summary:	Static OpenSP libraries
Summary(pl):	Biblioteki statyczne OpenSP
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
Static OpenSP libraries.

%description static -l pl
Biblioteki statyczne OpenSP.

%prep
%setup -q -n %{arname}-%{version}
%patch0 -p1
%patch1 -p1

%build
#please don't run gettextize --copy --force
if [ ! -f po/LINGUAS ] ; then
	ls po/*.po |sed 's=po/\(.*\).po=\1=' > po/LINGUAS
fi
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-default-catalog=%{_sysconfdir}/sgml/catalog \
	--enable-default-search-path=%{sgmldir} \
	--enable-http

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgdocdir=%{_defaultdocdir}/%{name}-%{version}

for i in nsgmls sgmlnorm spam spcat spent; do
	ln -sf o$i $RPM_BUILD_ROOT%{_bindir}/$i
done

# sx conficts with sx from lrzsz package
ln -sf osx $RPM_BUILD_ROOT%{_bindir}/sgml2xml

%find_lang sp4

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f sp4.lang
%defattr(644,root,root,755)
%{_defaultdocdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{sgmldir}/OpenSP
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/OpenSP
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: opensp.spec,v $
Revision 1.51.2.2  2003/12/27 23:39:23  ankry
- Epoch: 2

Revision 1.51.2.1  2003/12/27 22:37:03  ankry
- rel. 2 for RA

Revision 1.51  2003/12/27 22:36:07  ankry
- cosmetics, rel. 3

Revision 1.50  2003/10/23 17:07:31  qboosh
- up to 1.5.1
- updated localedir patch, removed obsolete gcc33 patch

Revision 1.49  2003/09/09 10:24:23  ankry
- spaces -> tab

Revision 1.48  2003/08/30 13:38:15  mmazur
- rel 5 for ac

Revision 1.47  2003/08/18 08:08:24  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.46  2003/06/30 13:43:13  qboosh
- added localedir patch, now locales work
- simplified datadir passing
- release 4

Revision 1.45  2003/06/23 21:09:45  jareq
- fixed epoch:version issue

Revision 1.44  2003/05/31 22:36:39  undefine
- and apply patch :o)
- release 3

Revision 1.43  2003/05/31 22:33:40  undefine
- small patch to allow build with gcc33

Revision 1.42  2003/05/25 11:00:56  malekith
- massive attack, adding Source-md5

Revision 1.41  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.40  2003/03/02 19:46:36  qboosh
- added nolibnsl patch
- BR: libtool >= 2.4d to link library with -lstdc++
- release 2

Revision 1.39  2002/11/28 16:07:02  wiget
- updated to latest stable version 1.5 (includes all changes from 1.6devel)
- epoch 1 for upgrade from 1.6devel

Revision 1.38  2002/11/25 14:17:48  ankry
- massive attack: no need for 755 for *.la

Revision 1.37  2002/11/11 23:55:18  agaran
merge DEVEL branch

Revision 1.33.2.2  2002/09/06 11:28:43  wiget
- release 0.%%{snap}.1 (to force rebuild with gcc 3.2)

Revision 1.33.2.1  2002/05/31 14:41:35  wiget
- upgrade to hand-made cvs snapshoot from 2002-05-29
- this version compiles with gcc 3.1

Revision 1.33  2002/04/10 17:53:32  qboosh
- removed obsolete DESTDIR patch, use -O0 for debug on alpha too
  (BTW, is -O0 workaround on alpha still needed?)

Revision 1.32  2002/04/09 21:06:07  mkierus
-updated to 1.5pre5 (required for latest (working) snapshot openjade)

Revision 1.31  2002/03/27 11:39:43  roman
s/(c)/(C) in License

Revision 1.30  2002/03/27 11:32:19  roman
- License: Free (Copyright (c) 1999 The OpenJade group)

Revision 1.29  2002/02/23 04:17:25  kloczek
- adapterized.

Revision 1.28  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.27  2002/01/18 21:20:16  kloczek
- release 12.

Revision 1.26  2002/01/18 20:12:32  qboosh
- standarized changelog preample
- changed post/postun with only ldconfig to -p

Revision 1.25  2001/07/13 16:28:56  qboosh
- release 11: run autoconf (required by new %%configure macro)

Revision 1.24  2001/03/14 14:24:58  klakier
- rel 10
  http enabled

Revision 1.23  2001/02/15 14:16:45  klakier
- rel 9

Revision 1.22  2001/02/12 22:50:45  klakier
- Massive changes inspired by LSB (http://www.linuxbase.org)
  and RH and MDK packages

Revision 1.21  2000/11/10 01:09:41  kloczek
- dixed %%{debug} handling on alpha.

Revision 1.20  2000/10/10 15:55:08  wiget
unadapterize

Revision 1.19  2000/10/10 15:04:38  kloczek
- release 7: use new rpm automation suit.

Revision 1.18  2000/08/24 22:55:13  baggins
- build with -O0 on alpha

Revision 1.17  2000/06/14 14:15:36  klakier
- Release 6: link sx->osx removed (conflict with lrzsz package)

Revision 1.16  2000/06/13 20:08:03  kloczek
- changed Source url to ftp://download.sourceforge.net/pub/sourceforge/*.

Revision 1.15  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.14  2000/06/08 13:19:16  klakier
- removed html-dtds (they are provided by separate packages)

Revision 1.13  2000/06/06 17:06:22  klakier
- requires fixed (typo)

Revision 1.12  2000/05/31 17:26:16  kloczek
- release 5,
- fix: Requires "sgml-common <= 0.2-4" changed to "sgml-common >= 0.2-4".

Revision 1.11  2000/05/21 00:14:05  kloczek
- spec adapterized.

Revision 1.10  2000/04/27 09:11:27  wiget
- fix next typo

Revision 1.9  2000/04/27 08:16:57  wiget
- added DESTDIR patch (don't run gettextize, *.pot generation is different)
- fix typo

Revision 1.8  2000/04/19 14:41:39  kloczek
- release 3,
- added "Provides: sp".

Revision 1.7  2000/04/04 18:09:04  kloczek
- release 2,
- removed -fno-rtti from CXXFLAGS (this is necessary for correct building
  openjade).

Revision 1.6  2000/04/01 11:15:14  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/31 21:45:13  kloczek
- typo.

Revision 1.4  2000/03/31 20:54:02  kloczek
- added static subpackage,
- added stripping shared libraries,
- removed SONEME symlinks from main package,
- added /sbin/ldconfig to Prereq,
- added lib*.la to devel,
- added missing %description,
- added ps to Obsoletes.

Revision 1.3  2000/03/31 16:53:25  klakier
- requires sgml-common >= 0.2-3

Revision 1.2  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.1  2000/03/27 13:45:08  klakier
- new spec - OpenSP is now separate package
- upgraded to 1.4
- uses fix-sgml-catalog
